require works well in sqlalchemy storage